    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.sql.DriverManager

    java.lang.Object
       |
       +----java.sql.DriverManager

public class DriverManager
extends Object

The DriverManager provides a basic service for managing a set of JDBC drivers.

As part of its initialization, the DriverManager class will attempt to load the driver classes referenced in the "jdbc.drivers" system property. This allows a user to customize the JDBC Drivers used by their applications. For example in your ~/.hotjava/properties file you might specify: `jdbc.drivers=foo.bah.Driver:wombat.sql.Driver:bad.taste.ourDriver` A program can also explicitly load JDBC drivers at any time. For example, the my.sql.Driver is loaded with the following statement: `Class.forName("my.sql.Driver");`

When getConnection is called the DriverManager will attempt to locate a suitable driver from amongst those loaded at initialization and those loaded explicitly using the same classloader as the current applet or application.

See Also:
  Driver, Connection

##

deregisterDriver(Driver)
  Drop a Driver from the DriverManager's list.
getConnection(String)
  Attempt to establish a connection to the given database URL.
getConnection(String, Properties)
  Attempt to establish a connection to the given database URL.
getConnection(String, String, String)
  Attempt to establish a connection to the given database URL.
getDriver(String)
  Attempt to locate a driver that understands the given URL.
getDrivers()
  Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.
getLoginTimeout()
  Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.
getLogStream()
  Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.
println(String)
  Print a message to the current JDBC log stream
registerDriver(Driver)
  A newly loaded driver class should call registerDriver to make itself known to the DriverManager.
setLoginTimeout(int)
  Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.
setLogStream(PrintStream)
  Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

##

getConnection

     public static synchronized Connection getConnection(String url,
                                                         Properties info) throws SQLException

  Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

  Parameters:
    url - a database url of the form jdbc:subprotocol:subname
    info - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included
  Returns:
    a Connection to the URL
  Throws: SQLException
    if a database-access error occurs.

getConnection

     public static synchronized Connection getConnection(String url,
                                                         String user,
                                                         String password) throws SQLException

  Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

  Parameters:
    url - a database url of the form jdbc:subprotocol:subname
    user - the database user on whose behalf the Connection is being made
    password - the user's password
  Returns:
    a Connection to the URL
  Throws: SQLException
    if a database-access error occurs.

getConnection

     public static synchronized Connection getConnection(String url) throws SQLException

  Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

  Parameters:
    url - a database url of the form jdbc:subprotocol:subname
  Returns:
    a Connection to the URL
  Throws: SQLException
    if a database-access error occurs.

getDriver

     public static Driver getDriver(String url) throws SQLException

  Attempt to locate a driver that understands the given URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

  Parameters:
    url - a database url of the form jdbc:subprotocol:subname
  Returns:
    a Driver that can connect to the URL
  Throws: SQLException
    if a database-access error occurs.

registerDriver

     public static synchronized void registerDriver(Driver driver) throws SQLException

  A newly loaded driver class should call registerDriver to make itself known to the DriverManager.

  Parameters:
    driver - the new JDBC Driver
  Throws: SQLException
    if a database-access error occurs.

deregisterDriver

     public static void deregisterDriver(Driver driver) throws SQLException

  Drop a Driver from the DriverManager's list. Applets can only deregister Drivers from their own classloader.

  Parameters:
    driver - the JDBC Driver to drop
  Throws: SQLException
    if a database-access error occurs.

getDrivers

     public static Enumeration getDrivers()

  Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.

  Note: The classname of a driver can be found using `d.getClass().getName()`

  Returns:
    the list of JDBC Drivers loaded by the caller's class loader

setLoginTimeout

     public static void setLoginTimeout(int seconds)

  Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.

  Parameters:
    seconds - the driver login time limit

getLoginTimeout

     public static int getLoginTimeout()

  Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.

  Returns:
    the driver login time limit

setLogStream

     public static void setLogStream(PrintStream out)

  Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

  Parameters:
    out - the new logging/tracing PrintStream; to disable, set to null

getLogStream

     public static PrintStream getLogStream()

  Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.

  Returns:
    the logging/tracing PrintStream; if disabled, is null

println

     public static void println(String message)

  Print a message to the current JDBC log stream

  Parameters:
    message - a log or tracing message

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.